package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 报名范围
 */
public enum eIsImage {
    Yes(1),//是
    Not(2);//否

    private int value;

    eIsImage(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eIsImage valueOf(int value) {
        switch (value) {
            case 1:
                return eIsImage.Yes;
            case 2:
                return eIsImage.Not;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "是";
            case 2:
                return "否";
            default:
                return null;
        }
    }

}
